From ce8290cefcbef1a291a08a7d2dabf2212ce04c24 Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Tue, 9 Jun 2020 17:07:23 +0200
Subject: [PATCH] Add missing test for SYS_stat, fixes the build on arm64.

---
 src/keymgr.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/keymgr.c b/src/keymgr.c
index f20580b1..1a2aeaaf 100644
--- a/src/keymgr.c
+++ b/src/keymgr.c
@@ -81,7 +81,9 @@ static struct sock_filter filter_keymgr[] = {
 	KORE_SYSCALL_ALLOW(lseek),
 	KORE_SYSCALL_ALLOW(write),
 	KORE_SYSCALL_ALLOW(close),
+#if defined(SYS_stat)
 	KORE_SYSCALL_ALLOW(stat),
+#endif
 	KORE_SYSCALL_ALLOW(fstat),
 	KORE_SYSCALL_ALLOW(futex),
 	KORE_SYSCALL_ALLOW(writev),
